<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Saludo</title>
</head>

<body>
<h1>Ejercicio de Saludo</h1>    
<br />
<div>
    <label for="">Ingrese su nombre</label>
    <input type="text" id="nombre">    
    <button id="ingresar">Ingresar</button>

</div>

<div>
    <span id="saludo"></span>
</div>
<script src="program.js"></script>

</body>
</html>